<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>homework13_cycled-slider</title>
    <script defer src="./script.js"></script>
    <style>
      .slideshow-container {
        height: 100vh;
        min-height: 600px;
        position: relative;
      }

      .image-to-show {
        width: 400px;
        height: 400px;
        display: none;

        animation-name: fade;
        animation-duration: 3.5s;
      }

      .images-wrapper {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
      }

      .button-wrapper {
        position: absolute;
        bottom: 100px;
      }

      .button {
        margin-top: 50px;
        padding: 5px 10px;
      }
      /* .button:nth-child(2),
      .button:nth-child(3) {
        display: none;
      } */

      .timer {
        color: green;
        font-size: 36px;
        font-weight: 700;

        position: absolute;
        bottom: 50px;
        left: 50%;
        transform: translateX(-50%);
      }

      /* animation time 0.5 seconds as required is too fast and doesnt sync with slideshow setTimeout interval, so i changed the animation time  to be at least same time as setimeout or even more by 0.5s*/

      @keyframes fade {
        0% {
          opacity: 0.5;
        }
        50% {
          opacity: 1;
        }
        100% {
          opacity: 0.5;
        }
      }
    </style>
  </head>
  <body>
    <div class="slideshow-container">
      <div class="images-wrapper">
        <img src="./img/1.jpg" alt="image of game" class="image-to-show" />
        <img src="./img/2.JPG" alt="image of game" class="image-to-show" />
        <img src="./img/3.jpg" alt="image of game" class="image-to-show" />
        <img src="./img/4.png" alt="image of game" class="image-to-show" />
      </div>
      <div class="button-wrapper">
        <!-- <button class="button" data-function="start">Start</button> -->
        <button class="button" data-function="stop">Stop</button>
        <button class="button" data-function="resume">Resume</button>
      </div>
      <p class="timer"></p>
    </div>
  </body>
</html>
